# Paaikkuna
declaration: module: com.example.harjoitustyo, package: com.example.harjoitustyo, class: Paaikkuna

# Class Paaikkuna

java.lang.Object
javafx.application.Application
com.example.harjoitustyo.Paaikkuna

public class Paaikkuna extends javafx.application.Application
Ohjelman käyttöliittymä Luokasta ei tarkoitus tehdä olioita

## Nested Class Summary

### Nested classes/interfaces inherited from class javafx.application.Application

`javafx.application.Application.Parameters`

## Field Summary

### Fields inherited from class javafx.application.Application

`STYLESHEET_CASPIAN, STYLESHEET_MODENA`

## Constructor Summary

Constructors
Constructor
Description
`Paaikkuna()`

## Method Summary

Modifier and Type
Method
Description
`(package private) void`
`lisaaTehtava()`
Luo ikkunan, jossa käyttäjä voi luoda uuden tehtävän
`static void`
`main(String[] args)`
Ohjelman entrypoint
`(package private) void`
`naytaTehtava()`
Asettaa valitun tehtävän tiedot kenttiin
`(package private) void`
`nollaaHakukentat()`
Nollaa yläpalkin hakukentät
`(package private) void`
`nollaaKentat()`
Asettaa oletusarvot GUI:n tietokenttiin
`(package private) void`
`paivitaTehtavanakyma()`
Päivittää tvTehtavat valittujen suodatusvalintojen mukaisesti
`(package private) void`
`poistaTehtava()`
Poistaa valitun tehtävän
`void`
`start(javafx.stage.Stage primaryStage)`
Piirtää ohjelman pääikkunan
`(package private) void`
`tallennaTehtava()`
Tallentaa kenttien tiedot valittuun tehtävään, käytetään tehtävän muutoksien tallentamiseen

### Methods inherited from class javafx.application.Application

`getHostServices, getParameters, getUserAgentStylesheet, init, launch, launch, notifyPreloader, setUserAgentStylesheet, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Paaikkuna

public Paaikkuna()

## Method Details

### main

public static void main(String[] args)
Ohjelman entrypoint

Parameters:
  `args` - komentoriviargumentit, ei käytössä

### paivitaTehtavanakyma

void paivitaTehtavanakyma()
Päivittää tvTehtavat valittujen suodatusvalintojen mukaisesti

### nollaaKentat

void nollaaKentat()
Asettaa oletusarvot GUI:n tietokenttiin

### nollaaHakukentat

void nollaaHakukentat()
Nollaa yläpalkin hakukentät

### naytaTehtava

void naytaTehtava()
Asettaa valitun tehtävän tiedot kenttiin

### tallennaTehtava

void tallennaTehtava()
Tallentaa kenttien tiedot valittuun tehtävään, käytetään tehtävän muutoksien tallentamiseen

### poistaTehtava

void poistaTehtava()
Poistaa valitun tehtävän

### lisaaTehtava

void lisaaTehtava()
Luo ikkunan, jossa käyttäjä voi luoda uuden tehtävän

### start

public void start(javafx.stage.Stage primaryStage)
Piirtää ohjelman pääikkunan

Specified by:
  `start` in class `javafx.application.Application`
Parameters:
  `primaryStage` - ohjelman päästage